ArgumentsMatcher (EasyMock 2.5.1 API)
Date: 2009-06-17

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock
Interface ArgumentsMatcher

All Known Implementing Classes:
  AbstractMatcher

Deprecated. Since EasyMock 2.0, `ArgumentsMatcher`s are only supported for the legacy `MockControl`. For mock objects generated by the methods on `EasyMock`, there are per-argument matchers available. For more information, see the EasyMock documentation.

    public interface ArgumentsMatcher

A comparison function that is used to match arguments.

See Also:
  `MockControl.setDefaultMatcher(org.easymock.ArgumentsMatcher)`, `MockControl.setMatcher(org.easymock.ArgumentsMatcher)`, `MockControl.EQUALS_MATCHER`, `MockControl.ARRAY_MATCHER`, `MockControl.ALWAYS_MATCHER`

Method Summary
`boolean` | `matches(java.lang.Object[] expected, java.lang.Object[] actual)` Deprecated. Matches two arrays of arguments.
`java.lang.String` | `toString(java.lang.Object[] arguments)` Deprecated. Returns a string representation of the arguments.

Method Detail

### matches

    boolean matches(java.lang.Object[] expected,
                    java.lang.Object[] actual)

  Deprecated.
  Matches two arrays of arguments.

  Parameters:
    `expected` - the expected arguments.
    `actual` - the actual arguments.
  Returns:
    true if the arguments match, false otherwise.

### toString

    java.lang.String toString(java.lang.Object[] arguments)

  Deprecated.
  Returns a string representation of the arguments.

  Parameters:
    `arguments` - the arguments to be used in the string representation.
  Returns:
    a string representation of the arguments.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 OFFIS, Tammo Freese, Henri Tremblay. This documentation is provided under the terms of the Apache 2 licence.